%bcond_with dotests

%global __tar /opt/freeware/bin/tar

%global py_major 3.9
%global py_minor 16

%global python_major python%{py_major}

%global pkgname more-itertools

%global meta_package python3-%{pkgname}

%global python3_sitearch %(%{python_major} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(0))")
%global python3_sitearch64 %(%{python_major} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")

Name:           %{python_major}-%{pkgname}
Version:        7.2.0
Release:        2
Summary:        Python library for efficient use of itertools utility
License:        MIT
URL:            https://pypi.org/project/more-itertools/
Source0:        %{pkgname}-%{version}.tar.gz
BuildArch:      noarch
Group: 		Development/Libraries
Prefix: 	%{_prefix}


BuildRequires:  %{python_major}-devel >= %{py_major}.%{py_minor}
BuildRequires:  %{python_major}-setuptools >= 65.2.0

Requires:       %{python_major} >= %{py_major}.%{py_minor}


%description
Opensource python library wrapping around itertools. Package also includes
implementations of the recipes from the itertools documentation.
See https://pythonhosted.org/more-itertools/index.html for documentation.

%package -n %{meta_package}
Summary:       Meta-package for %{name}

Requires:      python3 >= %{py_major}.%{py_minor}
Requires:      %{name} = %{version}-%{release}

%description -n %{meta_package}
This is a Meta-package for %{name} package.

%prep
%autosetup -n %{pkgname}-%{version}

%build
export PATH=/opt/freeware/bin:$PATH
%{python_major} setup.py build


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
%{python_major} setup.py install --root ${RPM_BUILD_ROOT}


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system,-)
%doc LICENSE README.rst PKG-INFO
%{python3_sitearch}/*

%files -n %{meta_package}
%defattr(-,root,system,-)

%changelog
* Tue Jan 17 2023 Ranjit Ranjan <ranjit.ranjan@ibm.com> - 7.2.0-2
- more-itertools for python3.9

* Wed Nov 06 2019 Reshma V Kumar <reskumar@in.ibm.com> -7.2.0-1
- Initial port for AIX Toolbox
- Build with python3
